#!/bin/bash
branch=devel
verprefix="v1.0.2"
verfile=pci-txe.c
oldver=$(cat ${verfile} | grep MODULE_VERSION | sed -e 's/MODULE_VERSION("1.0.[02].\([0-9a-z]\+\)");/\1/')
newver=${1:-$(expr $oldver + 1)}
sed -i "/MODULE_VERSION/s/$oldver/$newver/" pci-txe.c

git commit ${verfile} -s -F - <<EOF
mei: version ${verprefix}.${newver}

EOF

git tag -f -a "${verprefix}.${newver}"  -m "${verprefix}.${newver}"
echo git push origin HEAD:refs/heads/${branch}
echo git push origin ${verprefix}.$newver:refs/tags/${verprefix}.${newver}
